For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get support
HomeDocsAPI ReferenceRelease Notes
HomeDocsAPI ReferenceRelease Notes
  • Payments API
    • POSTRefresh API Keys
    • POSTCharge
    • POSTCapture
    • POSTVoid or Refund
    • POSTCheck Surcharge
    • POSTCreate Hosted Payment Page
    • PUTEdit Hosted Payment Page
    • POSTCreate Vault Payment Account
    • GETGet Vault Payment Account
    • DELDelete a Vault Payment Account
    • PUTUpdate Vault Account Details
    • POSTCreate Billing Plan
    • GETGet Billing Plan
    • DELCancel Billing Plan
  • Authentication (Reporting & Boarding)
    • POSTGet access token
  • Reporting API
    • GETGet transactions data
    • GETGet deposits data
    • GETGet chargebacks data
    • GETGet adjustments data
  • Boarding API
    • GETList merchants
    • POSTCreate a new merchant
    • GETGet a single merchant
Get support
LogoLogo

Capture

POST
https://javelin.runpayments.io/api/v1/capture
POST
/api/v1/capture
$curl -X POST https://javelin.runpayments.io/api/v1/capture \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "trans_id": "TXN1234567890",
> "mid": "MID987654321"
>}'
1{
2 "result": "Approved",
3 "trans_id": "TXN1234567890",
4 "resp_code": "00",
5 "resp_text": "Transaction approved",
6 "comm_card": "N",
7 "user_identifier": "user_001",
8 "mid": "MID987654321",
9 "amount": 15000,
10 "order_id": "ORD20240615001",
11 "auth_code": "AUTH1234",
12 "card_number": "**** **** **** 1234",
13 "batch_id": "BATCH20240615",
14 "settlement_status": "Settled",
15 "account": "**** **** **** 1234",
16 "account_zip": "94105",
17 "currency": "USD",
18 "company_name": "Acme Corporation",
19 "address1": "123 Market St",
20 "address2": "Suite 400",
21 "city": "San Francisco",
22 "region": "CA",
23 "country": "US",
24 "phone": "+1-415-555-1234",
25 "email": "billing@acmecorp.com"
26}
Make a capture request to finalize a transaction that was previously authorized but not captured
Was this page helpful?
Previous

Void or Refund

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
trans_idstringRequired
Reference number for the authorized transaction
midstringRequired
Merchant ID
user_identifierstringOptional
The user that initiated the activity
amountintegerOptional
Ticket amount
auth_codestringOptional
Authorization code from issuer
invoice_idstringOptional

User-defined invoice identifier.

po_numberstringOptional
Customer purchase order number
freight_amountstringOptional
Total order freight amount, default 0
duty_amountstringOptional
Total order duty amount, default 0
order_datestringOptional
YYYYMMDD format. For most industries this is the delivery date for the order.
shipping_zipstringOptional
If country is US, must be 5 or 9 digits. Otherwise, any alphanumeric string is accepted
origin_zipstringOptional

Same as shipping_zip

shipping_countrystringOptional
Ship To country code, defaults to US
line_numberstringOptional

Optional line number for each item. Line numbers do not need to be specified sequentially; however, if no lineno value is included, items are assigned sequential line numbers.

line_itemslist of anyOptional
Level 3 Processing Line Items
account_zipstringOptional
Cardholder Zip
currencystringOptional

Three character currency indicator (Defaults to USD)

company_namestringOptional
Account holder's company name
address1stringOptional
Account holder's street address
address2stringOptional
Account holder's street address line 2
citystringOptional
Account holder's city
regionstringOptional
Account holder's region, US State, Mexican State, Canadian Province
countrystringOptional

Account holder’s country - 2-character country code

phonestringOptional
Account holder's phone
emailstringOptional
Account holder's email

Response

Capture successful
resultstring
Result of auth request
trans_idstring
Reference number for the transaction
resp_codestring

Response code that represents description of the response (see additional table)

resp_textstring

Text description of response. -> See Status response codes

comm_cardstring

Commercial card flag - Y if corporate or purchase card.

user_identifierstring
The user that initiated the activity
midstring
Merchant ID
amountinteger
Ticket amount
order_idstring
Source system order number
auth_codestring
Authorization code from issuer
card_numberstring

PAN - masked on responses

batch_idstring
Automatically created and assigned unless otherwise specified
settlement_statusstring
The current settlement status. The settlement status changes throughout the transaction lifecycle, from authorization to settlement.
accountstring
PAN
account_zipstring
Cardholder Zip
currencystring

Three character currency indicator (Defaults to USD)

company_namestring
Account holder's company name
address1string
Account holder's street address
address2string
Account holder's street address line 2
citystring
Account holder's city
regionstring
Account holder's region, US State, Mexican State, Canadian Province
countrystring

Account holder’s country - 2-character country code

phonestring
Account holder's phone
emailstring
Account holder's email

Errors

400
Bad Request Error
401
Unauthorized Error